Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#63058 - [electron] add optdepends for libappindicator-gtk3

Attached to Project: Community Packages
Opened by Omar Pakker (Omar007) - Monday, 01 July 2019, 09:54 GMT
Last edited by Balló György (City-busz) - Thursday, 29 August 2019, 19:25 GMT
Task Type Feature Request
Category Packages
Status Assigned
Assigned To Nicola Squartini (tensor5)
Architecture All
Severity Very Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 0%
Votes 1
Private No

Details

The Waybar tray module does not show icons for Electron apps without libappindicator-gtk3.
Add libappindicator-gtk3 as an optdepends to indicate this can be installed if one would like to have working icons for Electron apps.

See also the pinned issue on the Waybar GitHub: https://github.com/Alexays/Waybar/issues/21
This task depends upon

Comment by Balló György (City-busz) - Tuesday, 02 July 2019, 01:03 GMT
Waybar should display every applications which use the StatusNotifierItem standard. So maybe the optional dependency could be added to the Electron package for StatusNotifierItem support.
Comment by Omar Pakker (Omar007) - Tuesday, 02 July 2019, 11:01 GMT
That would probably indeed be cleaner as installing it without Electron (or w/e depends on it) purely because you use Waybar would be rather useless.
This would apply for both electron as well as electron4 atm I believe. I do not know about electron2.

Loading...